

<?php $__env->startSection('title'); ?>
    <?= get_label('media_storage_settings', 'Media storage settings') ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <div class="d-flex justify-content-between m-4">
            <div>
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb breadcrumb-style1">
                        <li class="breadcrumb-item">
                            <a href="<?php echo e(route('home.index')); ?>"><?= get_label('home', 'Home') ?></a>
                        </li>
                        <li class="breadcrumb-item">
                            <?= get_label('settings', 'Settings') ?>
                        </li>
                        <li class="breadcrumb-item active">
                            <?= get_label('media_storage', 'Media storage') ?>
                        </li>
                    </ol>
                </nav>
            </div>
        </div>
        <div class="card mt-4">
            <div class="card-body">
                <form action="<?php echo e(route('settings.store_media_storage')); ?>" class="form-submit-event" method="POST"
                    enctype="multipart/form-data">
                    <input type="hidden" name="redirect_url" value="<?php echo e(route('settings.media_storage')); ?>">
                    <?php echo csrf_field(); ?>
                    <?php echo method_field('PUT'); ?>
                    <div class="row">
                        <div class="mb-3 col-md-12">
                            <label class="form-label"><?= get_label('select_storage_type', 'Select storage type') ?><span
                                    class="asterisk">*</span></label>
                            <div class="input-group">
                                <select class="form-control" id="media_storage_type" name="media_storage_type">
                                    <option value=""><?= get_label('please_select', 'Please select') ?></option>
                                    <option value="local"
                                        <?php echo e($media_storage_settings['media_storage_type'] === 'local' ? 'selected' : ''); ?>>
                                        <?= get_label('local_storage', 'Local storage') ?></option>
                                    <option value="s3"
                                        <?php echo e($media_storage_settings['media_storage_type'] === 's3' ? 'selected' : ''); ?>>
                                        Amazon AWS S3</option>
                                </select>
                            </div>
                            <p class="text-danger text-xs mt-1 error-message"></p>
                        </div>
                        <div
                            class="aws-s3-fields <?php echo e($media_storage_settings['media_storage_type'] === 's3' ? '' : 'd-none'); ?>">
                            <div class="row">
                                <div class="mb-3 col-md-6">
                                    <label for="s3_key" class="form-label">AWS S3 Access Key <span
                                            class="asterisk">*</span></label>
                                    <input class="form-control" type="text" name="s3_key"
                                        placeholder="Enter AWS S3 Access Key"
                                        value="<?= config('constants.ALLOW_MODIFICATION') === 0 ? str_repeat('*', strlen($media_storage_settings['s3_key'])) : $media_storage_settings['s3_key'] ?>">

                                    <?php $__errorArgs = ['s3_key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>

                                <div class="mb-3 col-md-6">
                                    <label for="s3_secret" class="form-label">AWS S3 Secret Key <span
                                            class="asterisk">*</span></label>
                                    <input class="form-control" type="password" name="s3_secret"
                                        placeholder="Enter AWS S3 Secret Key"
                                        value="<?= $media_storage_settings['s3_secret'] ?>">

                                    <?php $__errorArgs = ['s3_secret'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="row">
                                <div class="mb-3 col-md-6">
                                    <label for="s3_region" class="form-label">AWS S3 Region <span
                                            class="asterisk">*</span></label>
                                    <input class="form-control" type="text" name="s3_region"
                                        placeholder="Enter AWS S3 Region"
                                        value="<?= config('constants.ALLOW_MODIFICATION') === 0 ? str_repeat('*', strlen($media_storage_settings['s3_region'])) : $media_storage_settings['s3_region'] ?>">

                                    <?php $__errorArgs = ['s3_region'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>

                                <div class="mb-3 col-md-6">
                                    <label for="s3_bucket" class="form-label">AWS S3 Bucket <span
                                            class="asterisk">*</span></label>
                                    <input class="form-control" type="text" name="s3_bucket"
                                        placeholder="Enter AWS S3 Bucket"
                                        value="<?= config('constants.ALLOW_MODIFICATION') === 0 ? str_repeat('*', strlen($media_storage_settings['s3_bucket'])) : $media_storage_settings['s3_bucket'] ?>">

                                    <?php $__errorArgs = ['s3_bucket'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="mt-2">
                        <button type="submit" class="btn btn-primary me-2"
                            id="submit_btn"><?php echo e(get_label('update', 'Update')); ?></button>
                        <button type="reset"
                            class="btn btn-outline-secondary"><?php echo e(get_label('cancel', 'Cancel')); ?></button>
                    </div>
                </form>

            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/infinitie/Siddharth/taskify-saas/resources/views/settings/media_storage_settings.blade.php ENDPATH**/ ?>