

<?php $__env->startSection('title'); ?>
    <?= get_label('update_profile', 'Update profile') ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <div class="d-flex justify-content-between m-4">
            <div>
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb breadcrumb-style1">
                        <li class="breadcrumb-item">
                            <a href="<?php echo e(route('home.index')); ?>"><?= get_label('home', 'Home') ?></a>
                        </li>
                        <li class="breadcrumb-item active">
                            <?= get_label('profile', 'Profile') ?>
                        </li>
                    </ol>
                </nav>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="card mb-4">
                    <h5 class="card-header"><?= get_label('profile_details', 'Profile details') ?></h5>
                    <!-- Account -->
                    <div class="card-body">
                        <form action="<?php echo e(route('profile.update_photo',['userOrClient' => getAuthenticatedUser()->id ])); ?>"
                            class="form-submit-event" method="POST" enctype="multipart/form-data">
                            <input type="hidden" name="redirect_url" value="<?php echo e(route('profile.show' , ['user' => getAuthenticatedUser()->id ])); ?>">

                            <?php echo csrf_field(); ?>
                            <?php echo method_field('PUT'); ?>
                            <div class="d-flex align-items-start align-items-sm-center gap-4">
                                <img src="<?php echo e(getAuthenticatedUser()->photo ? asset('storage/' . getAuthenticatedUser()->photo) : asset('storage/photos/no-image.jpg')); ?>"
                                    alt="user-avatar" class="d-block rounded" height="100" width="100"
                                    id="uploadedAvatar" />
                                <div class="button-wrapper">
                                    <div class="input-group d-flex">
                                        <input type="file" class="form-control" id="inputGroupFile02" name="upload">
                                        <button class="btn btn-outline-primary" type="submit"
                                            id="submit_btn"><?= get_label('update_profile_photo', 'Update profile photo') ?></button>
                                    </div>

                                    <?php $__errorArgs = ['upload'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                                    <p class="text-muted mt-2"><?= get_label('allowed_jpg_png', 'Allowed JPG or PNG.') ?>
                                    </p>
                                </div>

                            </div>
                        </form>
                    </div>
                    <hr class="my-0" />
                    <div class="card-body">
                        <form id="formAccountSettings" method="POST" class="form-submit-event"
                            action="<?php echo e(route('profile.update' , ['userOrClient' => getAuthenticatedUser()->id ])); ?>">


                            <input type="hidden" name="redirect_url" value="<?php echo e(route('profile.show' , ['user' => getAuthenticatedUser()->id ])); ?>">

                            <?php echo csrf_field(); ?>
                            <?php echo method_field('PUT'); ?>
                            <div class="row">
                                <div class="mb-3 col-md-6">
                                    <label for="firstName" class="form-label"><?= get_label('first_name', 'First name') ?>
                                        <span class="asterisk">*</span></label>
                                    <input class="form-control" type="text" id="first_name" name="first_name"
                                        placeholder="Enter first name" value="<?php echo e(getAuthenticatedUser()->first_name); ?>"
                                        autofocus />

                                    <?php $__errorArgs = ['first_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                                </div>



                                <div class="mb-3 col-md-6">
                                    <label for="lastName" class="form-label"><?= get_label('last_name', 'Last name') ?>
                                        <span class="asterisk">*</span></label>
                                    <input class="form-control" type="text" name="last_name"
                                        placeholder="Enter last name" id="last_name"
                                        value="<?php echo e(getAuthenticatedUser()->last_name); ?>" />


                                    <?php $__errorArgs = ['last_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                                </div>


                                <div class="mb-3 col-md-6">
                                    <label class="form-label"
                                        for="phone"><?= get_label('phone_number', 'Phone number') ?> <span
                                            class="asterisk">*</span></label>
                                    <input type="text" id="phone" name="phone" placeholder="Enter phone number"
                                        class="form-control" placeholder="" value="<?php echo e(getAuthenticatedUser()->phone); ?>" />


                                    <?php $__errorArgs = ['phone'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                                </div>


                                <div class="mb-3 col-md-6">
                                    <label class="form-label" for="email"><?= get_label('email', 'E-mail') ?></label>
                                    <input class="form-control" type="text" name="email" placeholder="Enter email"
                                        value="<?php echo e(getAuthenticatedUser()->email); ?>"
                                        <?php if(!getAuthenticatedUser()->hasRole('admin')): ?> readonly <?php endif; ?>>

                                    <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                                </div>

                                <div class="mb-3 col-md-6">
                                    <label for="password" class="form-label"><?= get_label('password', 'Password') ?> <small
                                            class="text-muted"> (Leave it blank if no change)</small></label>
                                    <input class="form-control" type="password" id="password" name="password"
                                        placeholder="Enter Password">

                                    <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label for="password_confirmation"
                                        class="form-label"><?= get_label('confirm_password', 'Confirm password') ?></label>
                                    <input class="form-control" type="password" id="password_confirmation"
                                        name="password_confirmation" placeholder="Re Enter Password">

                                    <?php $__errorArgs = ['password_confirmation'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>

                                <?php if(getAuthenticatedUser()->getRoleNames()->first() == 'admin'): ?>
                                    <div class="mb-3 col-md-6">
                                        <label class="form-label" for="role"><?= get_label('role', 'Role') ?> <span
                                                class="asterisk">*</span></label>
                                        <div class="input-group">
                                            <select class="form-select text-capitalize" id="role" name="role">
                                                <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($role->id); ?>" <?php if ($user->getRoleNames()->first() == $role->name) {
                                                        echo 'selected';
                                                    } ?>>
                                                        <?php echo e($role->name); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>

                                        <?php $__errorArgs = ['role'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                                    </div>
                                <?php else: ?>
                                    <div class="mb-3 col-md-6">
                                        <input type="hidden" name="role" value="<?= $user->roles->pluck('id')[0] ?>">
                                        <label class="form-label" for="role"><?= get_label('role', 'Role') ?> <span
                                                class="asterisk">*</span></label>
                                        <input class="form-control" type="text" id="exampleFormControlReadOnlyInput1"
                                            placeholder="" value="<?php echo e(getAuthenticatedUser()->getRoleNames()->first()); ?>"
                                            readonly="">

                                        <?php $__errorArgs = ['role'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                                    </div>
                                <?php endif; ?>



                                <div class="mb-3 col-md-6">
                                    <label class="form-label" for="address"><?= get_label('address', 'Address') ?> <span
                                            class="asterisk">*</span></label>
                                    <input class="form-control" type="text" id="address"
                                        placeholder="Enter address" name="address"
                                        value="<?php echo e(getAuthenticatedUser()->address); ?>">

                                    <?php $__errorArgs = ['address'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                                </div>



                                <div class="mb-3 col-md-6">
                                    <label class="form-label" for="city"><?= get_label('city', 'City') ?> <span
                                            class="asterisk">*</span></label>
                                    <input class="form-control" type="text" id="city" placeholder="Enter city"
                                        name="city" value="<?php echo e(getAuthenticatedUser()->city); ?>">

                                    <?php $__errorArgs = ['city'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                                </div>

                                <div class="mb-3 col-md-6">
                                    <label class="form-label" for="state"><?= get_label('state', 'State') ?> <span
                                            class="asterisk">*</span></label>
                                    <input class="form-control" type="text" id="state" placeholder="Enter state"
                                        name="state" value="<?php echo e(getAuthenticatedUser()->state); ?>">

                                    <?php $__errorArgs = ['state'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                                </div>

                                <div class="mb-3 col-md-6">
                                    <label class="form-label" for="country"><?= get_label('country', 'Country') ?> <span
                                            class="asterisk">*</span></label>
                                    <input class="form-control" type="text" id="country"
                                        placeholder="Enter country" name="country"
                                        value="<?php echo e(getAuthenticatedUser()->country); ?>">

                                    <?php $__errorArgs = ['country'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                                </div>

                                <div class="mb-3 col-md-6">
                                    <label class="form-label" for="zip"><?= get_label('zip_code', 'ZIP code') ?>
                                        <span class="asterisk">*</span></label>
                                    <input class="form-control" type="text" id="zip"
                                        placeholder="Enter ZIP code" name="zip"
                                        value="<?php echo e(getAuthenticatedUser()->zip); ?>">

                                    <?php $__errorArgs = ['zip'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                                </div>

                                <div class="mt-2">
                                    <button type="submit" id="submit_btn"
                                        class="btn btn-primary me-2"><?= get_label('update', 'Update') ?></button>
                                    <button type="reset"
                                        class="btn btn-outline-secondary"><?= get_label('cancel', 'Cancel') ?></button>
                                </div>
                        </form>
                    </div>
                    <!-- /Account -->
                </div>
                <div class="card">
                    <h5 class="card-header"><?= get_label('delete_account', 'Delete account') ?></h5>
                    <div class="card-body">
                        <div class="mb-3 col-12 mb-0">
                            <div class="alert alert-warning">
                                <h6 class="alert-heading fw-bold mb-1">
                                    <?= get_label('delete_account_alert', 'Are you sure you want to delete your account?') ?>
                                </h6>
                                <p class="mb-0">
                                    <?= get_label('delete_account_alert_sub_text', 'Once you delete your account, there is no going back. Please be certain.') ?>
                                </p>
                            </div>
                        </div>

                        <button type="submit" class="btn btn-danger" data-bs-toggle="modal"
                            data-bs-target="#deleteAccountModal"><?= get_label('delete_account', 'Delete account') ?></button>

                    </div>

                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/infinitie/Siddharth/taskify-saas/resources/views/users/account.blade.php ENDPATH**/ ?>